# QDoubleValidator Class Reference

The QDoubleValidator class provides range checking of floating-point numbers. More...

`#include <qvalidator.h>`

Inherits QValidator.

List of all member functions.

## Public Members

- QDoubleValidator ( QWidget * parent, const char * name = 0 )
- QDoubleValidator ( double bottom, double top, int decimals, QWidget * parent, const char * name = 0 )
- ~QDoubleValidator ()
- virtual QValidator::State validate ( QString &, int & )
- virtual void setRange ( double bottom, double top, int decimals = 0 )
- double bottom () const
- double top () const
- int decimals () const

## Detailed Description

The QDoubleValidator class provides range checking of floating-point numbers.

QDoubleValidator provides an upper bound, a lower bound, and a limit on the number of digits after the decimal point. It does not provide a fixup() function.

See also: QIntValidator.

## Member Function Documentation

### QDoubleValidator::QDoubleValidator ( QWidget * parent, const char * name = 0 )

Creates a validator object which accepts all double from 2.7182818 to 3.1415926 (please, no bug reports) with at most seven digits after the decimal point.

This constructor is not meant to be useful; it is provided for completeness.

### QDoubleValidator::QDoubleValidator ( double bottom, double top, int decimals, QWidget * parent, const char * name = 0 )

Creates a validator object which accepts all doubles from bottom up to and including top with at most decimals digits after the decimal point.

### QDoubleValidator::~QDoubleValidator ()

Deletes the validator and frees any storage and other resources used.

### double QDoubleValidator::bottom () const

Returns the lowest valid number according to this validator.

See also: top(), decimals() and setRange().

### int QDoubleValidator::decimals () const

Returns the largest number of digits a valid number can have after its decimal point.

See also: bottom(), top() and setRange().

### void QDoubleValidator::setRange ( double bottom, double top, int decimals = 0 ) `[virtual]`

Sets the validator to accept numbers from bottom up to and including top with at most decimals digits after the decimal point.

### double QDoubleValidator::top () const

Returns the highest valid number according to this validator.

See also: bottom(), decimals and setRange().

Search the documentation, FAQ, qt-interest archive and more (uses www.troll.no):

This file is part of the Qt toolkit, copyright © 1995-99 Troll Tech, all rights reserved.

It was generated from the following files:

- qvalidator.h: 1998/08/19
- qvalidator.cpp: 1998/07/03